Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class DomainClassMethods

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
          org.codehaus.groovy.grails.orm.hibernate.metaclass.DomainClassMethods

All Implemented Interfaces:
  DynamicMethods

    public class DomainClassMethods

extends AbstractDynamicMethods

A class responsible for dealing with matching and dispatching to dynamic finder methods

Since:
  0.1 Created: Aug 7, 2005
Author:
  Graeme Rocher, Steven Devijver

Field Summary
`static String` | `ERRORS_PROPERTY`

Fields inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
`clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations`

Constructor Summary
`DomainClassMethods(GrailsApplication application, Class theClass, org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
`addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERRORS_PROPERTY

    public static final String ERRORS_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### DomainClassMethods

    public DomainClassMethods(GrailsApplication application,
                              Class theClass,
                              org.hibernate.SessionFactory sessionFactory,
                              ClassLoader classLoader)
                       throws IntrospectionException

Throws:
  `IntrospectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project